%define name	xbase
%define version	3.1.2
%define release	9

%define major	1
%define libname		%mklibname %{name} %{major}
%define libnamedev	%mklibname -d %{name}

Summary:	Xbase dBase database file library
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
Source:		http://downloads.sourceforge.net/xdb/%{name}64-%{version}.tar.gz
License:	LGPLv2+

Patch0:		%{name}-%{version}-fixconfig.patch
Patch2:		%{name}-%{version}-gcc44.patch
Patch3:		%{name}-2.0.0-ppc.patch
Patch4:		%{name}-%{version}-xbnode.patch
Patch5:		%{name}-%{version}-lesserg.patch
Patch6:		%{name}-%{version}-outofsource.patch
Patch7:		%{name}-%{version}-gcc47.patch
Patch8:		%{name}-%{version}-gcc-version.patch
Patch9:		xbase-3.1.2-automake-1.13.patch

Group:		Databases
URL:		http://linux.techass.com/projects/xdb/
BuildRequires:	doxygen
BuildRequires:	multiarch-utils

%description
Library for accessing dBase .dbf, .ndx, .dbt, and Clipper .ntx files.

%package -n %{libname}
Summary:	Libraries needed for %{name}
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
Libraries needed for %{name}

%package -n %{libnamedev}
Summary:	Xbase development package
Group:		Development/Databases
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
Headers and such for compiling programs that use the Xbase library.

%prep
%setup -qn %{name}64-%{version}
%patch0 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1 -b .automake-1_13

%build
touch AUTHORS README NEWS
cp -p copying COPYING
autoreconf -i
%configure2_5x --disable-static
%make

%install
%makeinstall_std

#we don't want these
rm -rf %{buildroot}%{_libdir}/*.la

# Fix files for multilib
touch -r COPYING %{buildroot}%{_bindir}/xbase-config

pushd %{buildroot}%{_libdir}
ln -s libxbase64.so.1.0.0 libxbase.so.1.0.0
ln -s libxbase64.so.1 libxbase.so.1
ln -s libxbase64.so libxbase.so
popd

pushd %{buildroot}%{_includedir}
ln -s xbase64 xbase
ln -s xbase64.h xbase64/xbase.h
popd

%multiarch_binaries %{buildroot}%{_bindir}/xbase-config

%files
%doc NEWS README AUTHORS COPYING ChangeLog
%{_bindir}/*
%exclude %{_bindir}/xbase-config

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{libnamedev}
%doc docs html
%{_bindir}/xbase-config
%{multiarch_bindir}/xbase-config
%{_includedir}/xbase*
%{_libdir}/*.so


%changelog

* Fri Feb 08 2013 luigiwalser <luigiwalser> 3.1.2-9.mga3
+ Revision: 397220
- remove obsolete pre script

* Mon Jan 14 2013 umeabot <umeabot> 3.1.2-8.mga3
+ Revision: 386567
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 cjw <cjw> 3.1.2-7.mga3
+ Revision: 337896
- patch9: fix build with automake 1.13

* Sat Oct 20 2012 malo <malo> 3.1.2-6.mga3
+ Revision: 308556
- spec clean-up
- update RPM group

* Mon Aug 20 2012 fedya <fedya> 3.1.2-5.mga3
+ Revision: 282504
- package was unbuildable with gcc 4.7. not all fine

* Tue Feb 22 2011 wally <wally> 3.1.2-4.mga1
+ Revision: 56978
- drop buildroot definition
- clean .spec a bit
- imported package xbase

